<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

defined('_JEXEC') or die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}


// load CSS
$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_elasticstack_virtuemart_product/assets/css/default.css');


$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}

//	ElastiStack
//-------------------------------------------------------------------
$ext_width					= (int)$params->get('ext_width' , 150);
$ext_height					= (int)$params->get('ext_height', 200);
$ext_width_block			= (int)$params->get('ext_width_block' , 190);
$ext_height_block			= (int)$params->get('ext_height_block', 240);
$ext_modernizr 				= (int)$params->get('ext_modernizr', 1);
$ext_draggabilly 			= (int)$params->get('ext_draggabilly', 1);
$ext_elastistack 			= (int)$params->get('ext_elastistack', 1);
$distDragBack				= (int)$params->get('distdragback' , 200);
$distDragMax				= (int)$params->get('distdragmax' , 450);

// load JS
if ($ext_modernizr > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_virtuemart_product/assets/js/modernizr.custom.js"></script>');
}
if ($ext_draggabilly > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_virtuemart_product/assets/js/draggabilly.pkgd.min.js"></script>'); 
}
if ($ext_elastistack > 0) {
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_elasticstack_virtuemart_product/assets/js/elastiStack.js"></script>');
}




// VM Standart module mod_virtuemart_product
//-----------------------------------------------------------
if (!class_exists( 'VmConfig' )) require(JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_virtuemart'.DS.'helpers'.DS.'config.php');

VmConfig::loadConfig();
VmConfig::loadJLang('mod_ext_elasticstack_virtuemart_product', true);

// Setting
$max_items 					= $params->get( 'max_items', 2 ); //maximum number of items to display
$category_id				= $params->get( 'virtuemart_category_id', null ); // Display products from this category only
$filter_category			= (bool)$params->get( 'filter_category', 0 ); // Filter the category
$show_price 				= (bool)$params->get( 'show_price', 1 ); // Display the Product Price?
$show_addtocart				= (bool)$params->get( 'show_addtocart', 1 ); // Display the "Add-to-Cart" Link?
$Product_group 				= $params->get( 'product_group', 'featured'); // 

$mainframe = Jfactory::getApplication();
$virtuemart_currency_id = $mainframe->getUserStateFromRequest( "virtuemart_currency_id", 'virtuemart_currency_id',JRequest::getInt('virtuemart_currency_id',0) );


/* Load  VM fonction */
if (!class_exists( 'mod_ext_elasticstack_virtuemart_product' )) require('helper.php');

$vendorId = JRequest::getInt('vendorid', 1);

if ($filter_category ) $filter_category = TRUE;

$productModel = VmModel::getModel('Product');

$products = $productModel->getProductListing($Product_group, $max_items, $show_price, true, false,$filter_category, $category_id);
$productModel->addImages($products);

$totalProd = 		count( $products);
if(empty($products)) return false;
$currency = CurrencyDisplay::getInstance( );

if ($show_addtocart) {
	//vmJsApi::jPrice();
	vmJsApi::cssSite();
}
/* Load tmpl default */
require JModuleHelper::getLayoutPath('mod_ext_elasticstack_virtuemart_product', $params->get('layout', 'default'));
?>
