<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document->addCustomTag('
<style type="text/css">
.ext_elasticstack_virtuemart_product'.$ext_id.' .elasticstack {
	width: '.$ext_width_block.'px;
	height: '.$ext_height_block.'px;
}
.ext_elasticstack_virtuemart_product'.$ext_id.' .elasticstack li {
	width: '.$ext_width.'px;
	height: '.$ext_height.'px;
}
</style>');


// add javascript for price and cart, need even for quantity buttons, so we need it almost anywhere
vmJsApi::jPrice();
?>




<div class="mod_ext_elasticstack_virtuemart_product <?php echo $moduleclass_sfx ?>">	
	<div class="ext_elasticstack_virtuemart_product<?php echo $ext_id; ?>">
		<ul id="elasticstack<?php echo $ext_id; ?>" class="elasticstack">	
		<?php foreach ($products as $product) : ?>			
			<li>
				<div class="ext-item-wrap">
						
					<div class="mod_ext_elasticstack_virtuemart_product_title">
						<a href="<?php echo JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id); ?>"><?php echo $product->product_name ?></a>  
					</div>
						
					<div class="mod_ext_elasticstack_virtuemart_product_img">
						<?php
						if (!empty($product->images[0])) {
							$image = $product->images[0]->displayMediaThumb ('class="featuredProductImage" border="0"', FALSE);
						} else {
							$image = '';
						}
						echo JHTML::_ ('link', JRoute::_ ('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id), $image, array('title' => $product->product_name));
						?>
					</div>					
						
					<?php 
					// $product->prices is not set when show_prices in config is unchecked
					if ($show_price and  isset($product->prices)) {
						echo '<div class="product-price">'.$currency->createPriceDiv ('salesPrice', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
						if ($product->prices['salesPriceWithDiscount'] > 0) {
							echo $currency->createPriceDiv ('salesPriceWithDiscount', '', $product->prices, FALSE, FALSE, 1.0, TRUE);
						}
						echo '</div>';
					}
					if ($show_addtocart) {
						echo mod_ext_elasticstack_virtuemart_product::addtocart ($product);
					}
					?>			
				</div>	
			</li>
		<?php endforeach; ?>	
		</ul>
	</div>
	<div style="clear:both;"></div>
</div>

<script type="text/javascript">	
	new ElastiStack( document.getElementById( 'elasticstack<?php echo $ext_id; ?>' ), {
		distDragBack : <?php echo $distDragMax; ?>,
		distDragMax : <?php echo $distDragMax; ?>,
		onUpdateStack : function( current ) { return false; }
	});	
</script>